BTC purchase history
One company's BTC purchase history (start_date, end_date, limit)
GET
/openapi/v1/btc-treasuries/{ticker}/purchase-historyRefresh: 1 min
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| ticker | string | Required | Stock ticker |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| start_date | string | Optional | Start date |
| end_date | string | Optional | End date |
| limit | string | Optional | Default 50, max 100 |
Request Example
curl "https://openapi.sosovalue.com/openapi/v1/btc-treasuries/MSTR/purchase-history" \ -H "x-soso-api-key: $SOSO_API_KEY"
Response Example
[
{
"date": "2024-04-12",
"ticker": "MSTR",
"btc_holding": 720737,
"btc_acq": 3015,
"acq_cost": 410000000,
"avg_btc_cost": 75985
}
]Response Fields
| Field | Type | Description |
|---|---|---|
| date | String | Purchase date |
| ticker | String | Stock ticker |
| btc_holding | Number | Total BTC holdings |
| btc_acq | Number | BTC acquired in this purchase |
| acq_cost | Number | Acquisition cost (USD) |
| avg_btc_cost | Number | Average cost per BTC (USD) |